package com.liquidnet.common.third.zxlnft.dto.nft;

import com.liquidnet.commons.lang.util.JsonUtils;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @author AnJiabin <anjiabin@zhengzai.tv>
 * @version V1.0
 * @Description: TODO
 * @class: SeriesListReq
 * @Package com.liquidnet.common.third.zxlnft.dto.nft
 * @Copyright: LightNet @ Copyright (c) 2021
 * @date 2022/2/18 15:45
 */
@Data
public class Nft033SeriesListResp implements Serializable {
    private List<String> seriesList;

    private static final Nft033SeriesListResp obj = new Nft033SeriesListResp();
    public static Nft033SeriesListResp getNew() {
        try {
            return (Nft033SeriesListResp) obj.clone();
        } catch (CloneNotSupportedException e) {
            return new Nft033SeriesListResp();
        }
    }

    @Override
    public String toString(){
        return JsonUtils.toJson(this);
    }
}
